Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 200643 - Build sys-apps/hal addons for MacBook and MacBook Pro
Summary: Build sys-apps/hal addons for MacBook and MacBook Pro
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement with 1 vote (vote)
Assignee: Tony Vroon
URL: https://bugs.freedesktop.org/show_bug...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-28 15:29 UTC by Lars Strojny
Modified: 2009-02-04 22:59 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
hal-0.5.9.1-r3-mac.diff (hal-0.5.9.1-r3-mac.diff,778 bytes, patch)
2007-11-28 15:30 UTC, Lars Strojny
Details | Diff
Took the above patch and applied to hal-0.5.11-r4.ebuild (hal-0.5.11-r4.ebuild,9.30 KB, text/plain)
2008-12-26 17:03 UTC, Vito Louis Sansevero
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Strojny 2007-11-28 15:29:30 UTC
Currently Gentoo's sys-apps/hal is shipped without --with-macbook/--with-macbookpro. This means that some functionality like backlight adjusting is not working for Gentoo users with MacBooks. I've created a patch to add a USE-flag "mac", which handles this build options.
Comment 1 Lars Strojny 2007-11-28 15:30:16 UTC
Created attachment 137240 [details, diff]
hal-0.5.9.1-r3-mac.diff

Patch adds USE-flag for macbook/macbook pro support
Comment 2 Lars Strojny 2008-08-16 16:50:51 UTC
What's the issue with this? It's pretty easy to fix and would solve one headache for macbook users
Comment 3 Vito Louis Sansevero 2008-12-26 17:03:55 UTC
Created attachment 176448 [details]
Took the above patch and applied to hal-0.5.11-r4.ebuild
Comment 4 Vito Louis Sansevero 2008-12-26 17:05:28 UTC
Lars: 

Thanks for the patch, I was wondering why my keys stopped working, did some digging and it turns out it was hal :( Decided to check here before creating my own. 
Comment 5 Tony Vroon gentoo-dev 2009-02-04 19:02:01 UTC
Will consider for 0.5.11-r8. (Please upgrade to 0.5.11-r7 with the newest hal-info and confirm that this functionality doesn't auto-enable itself in that situation)
Comment 6 Tony Vroon gentoo-dev 2009-02-04 22:59:21 UTC
+*hal-0.5.11-r8 (04 Feb 2009)
+
+  04 Feb 2009; <chainsaw@gentoo.org> +hal-0.5.11-r8.ebuild:
+  Revive a patch by Cardoe to fix test failures, closes bug #176535. Enable
+  support for MacBook/MacBook Pro if USE="laptop", closes bug #200643. Patch
+  from Ambroz Bizjak <ambro@b4ever.net> removes ill-conceived UID checks so
+  NTFS volumes can be automounted, closes bug #205901. Upstream commits
+  scavenged by Ricardo Salveti <ricardo.salveti@openbossa.org> allow
+  mac80211-based wireless devices to be detected properly, closes bug
+  #246026. Reverted partition unhiding from bug #247025, it was already
+  controversial but has been proven to automount recovery partitions.